Index: /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 87916)
@@ -662,7 +662,6 @@
 	src/wizards/newvm/UIWizardNewVMPageBasic1.h \
 	src/wizards/newvm/UIWizardNewVMPageBasic2.h \
-	src/wizards/newvm/UIWizardNewVMPageBasic8.h \
+	src/wizards/newvm/UIWizardNewVMPageBasic3.h \
 	src/wizards/newvm/UIWizardNewVMPageBasic4.h \
-	src/wizards/newvm/UIWizardNewVMPageBasic5.h \
 	src/wizards/newvm/UIWizardNewVMPageExpert.h \
 	src/wizards/clonevm/UIWizardCloneVM.h \
@@ -1154,7 +1153,6 @@
 	src/wizards/newvm/UIWizardNewVMPageBasic1.cpp \
 	src/wizards/newvm/UIWizardNewVMPageBasic2.cpp \
-	src/wizards/newvm/UIWizardNewVMPageBasic8.cpp \
+	src/wizards/newvm/UIWizardNewVMPageBasic3.cpp \
 	src/wizards/newvm/UIWizardNewVMPageBasic4.cpp \
-	src/wizards/newvm/UIWizardNewVMPageBasic5.cpp \
 	src/wizards/newvm/UIWizardNewVMPageExpert.cpp \
 	src/wizards/clonevm/UIWizardCloneVM.cpp \
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp	(revision 87916)
@@ -26,5 +26,5 @@
 #include "UIWizardNewVMPageBasic2.h"
 #include "UIWizardNewVMPageBasic5.h"
-#include "UIWizardNewVMPageBasic8.h"
+#include "UIWizardNewVMPageBasic3.h"
 #include "UIWizardNewVMPageBasic4.h"
 #include "UIWizardNewVMPageExpert.h"
@@ -85,5 +85,5 @@
             setPage(Page1, new UIWizardNewVMPageBasic1(m_strGroup));
             setPage(Page2, new UIWizardNewVMPageBasic2);
-            setPage(Page8, new UIWizardNewVMPageBasic8);
+            setPage(Page3, new UIWizardNewVMPageBasic3);
             setPage(Page4, new UIWizardNewVMPageBasic4);
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h	(revision 87916)
@@ -73,5 +73,5 @@
         Page1,
         Page2,
-        Page8,
+        Page3,
         Page4,
         PageMax
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic1.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic1.cpp	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic1.cpp	(revision 87916)
@@ -497,5 +497,5 @@
     if (isUnattendedEnabled())
         return UIWizardNewVM::Page2;
-    return UIWizardNewVM::Page8;
+    return UIWizardNewVM::Page3;
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.cpp	(revision 87916)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.cpp	(revision 87916)
@@ -0,0 +1,153 @@
+/* $Id$ */
+/** @file
+ * VBox Qt GUI - UIWizardNewVMPageBasic3 class implementation.
+ */
+
+/*
+ * Copyright (C) 2006-2020 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+/* Qt includes: */
+#include <QCheckBox>
+#include <QFileInfo>
+#include <QGridLayout>
+#include <QMetaType>
+#include <QVBoxLayout>
+
+/* GUI includes: */
+#include "QIRichTextLabel.h"
+#include "UIBaseMemoryEditor.h"
+#include "UIMessageCenter.h"
+#include "UIVirtualCPUEditor.h"
+#include "UIWizardNewVM.h"
+#include "UIWizardNewVMPageBasic3.h"
+#include "UIWizardNewVDPageBasic3.h"
+
+/* COM includes: */
+#include "CGuestOSType.h"
+
+UIWizardNewVMPage3::UIWizardNewVMPage3()
+    : m_pBaseMemoryEditor(0)
+    , m_pVirtualCPUEditor(0)
+    , m_pEFICheckBox(0)
+{
+}
+
+int UIWizardNewVMPage3::baseMemory() const
+{
+    if (!m_pBaseMemoryEditor)
+        return 0;
+    return m_pBaseMemoryEditor->value();
+}
+
+int UIWizardNewVMPage3::VCPUCount() const
+{
+    if (!m_pVirtualCPUEditor)
+        return 1;
+    return m_pVirtualCPUEditor->value();
+}
+
+bool UIWizardNewVMPage3::EFIEnabled() const
+{
+    if (!m_pEFICheckBox)
+        return false;
+    return m_pEFICheckBox->isChecked();
+}
+
+void UIWizardNewVMPage3::retranslateWidgets()
+{
+    if (m_pEFICheckBox)
+    {
+        m_pEFICheckBox->setText(UIWizardNewVM::tr("Enable EFI (special OSes only)"));
+        m_pEFICheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked, the guest will support the "
+                                                       "Extended Firmware Interface (EFI), which is required to boot certain "
+                                                       "guest OSes. Non-EFI aware OSes will not be able to boot if this option is activated.</p>"));
+    }
+}
+
+QWidget *UIWizardNewVMPage3::createHardwareWidgets()
+{
+    QWidget *pHardwareContainer = new QWidget;
+    QGridLayout *pHardwareLayout = new QGridLayout(pHardwareContainer);
+
+    m_pBaseMemoryEditor = new UIBaseMemoryEditor(0, true);
+    m_pVirtualCPUEditor = new UIVirtualCPUEditor(0, true);
+    m_pEFICheckBox      = new QCheckBox;
+    pHardwareLayout->addWidget(m_pBaseMemoryEditor, 0, 0, 1, 4);
+    pHardwareLayout->addWidget(m_pVirtualCPUEditor, 1, 0, 1, 4);
+    pHardwareLayout->addWidget(m_pEFICheckBox, 2, 0, 1, 1);
+
+    return pHardwareContainer;
+}
+
+UIWizardNewVMPageBasic3::UIWizardNewVMPageBasic3()
+    : m_pLabel(0)
+{
+    prepare();
+    qRegisterMetaType<CMedium>();
+    registerField("baseMemory", this, "baseMemory");
+    registerField("VCPUCount", this, "VCPUCount");
+    registerField("EFIEnabled", this, "EFIEnabled");
+}
+
+void UIWizardNewVMPageBasic3::prepare()
+{
+    QVBoxLayout *pMainLayout = new QVBoxLayout(this);
+
+    m_pLabel = new QIRichTextLabel(this);
+    pMainLayout->addWidget(m_pLabel);
+    pMainLayout->addWidget(createHardwareWidgets());
+
+    pMainLayout->addStretch();
+    createConnections();
+}
+
+void UIWizardNewVMPageBasic3::createConnections()
+{
+}
+
+void UIWizardNewVMPageBasic3::retranslateUi()
+{
+    setTitle(UIWizardNewVM::tr("Hardware"));
+
+    if (m_pLabel)
+        m_pLabel->setText(UIWizardNewVM::tr("<p>You can modify virtual machine's hardware by changing amount of RAM and "
+                                            "virtual CPU count.</p>"));
+
+    retranslateWidgets();
+}
+
+void UIWizardNewVMPageBasic3::initializePage()
+{
+    retranslateUi();
+
+    if (!field("type").canConvert<CGuestOSType>())
+        return;
+
+    CGuestOSType type = field("type").value<CGuestOSType>();
+    ULONG recommendedRam = type.GetRecommendedRAM();
+    if (m_pBaseMemoryEditor)
+        m_pBaseMemoryEditor->setValue(recommendedRam);
+
+    KFirmwareType fwType = type.GetRecommendedFirmware();
+    if (m_pEFICheckBox)
+        m_pEFICheckBox->setChecked(fwType != KFirmwareType_BIOS);
+}
+
+void UIWizardNewVMPageBasic3::cleanupPage()
+{
+    UIWizardPage::cleanupPage();
+}
+
+bool UIWizardNewVMPageBasic3::isComplete() const
+{
+    return true;
+}
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.h	(revision 87916)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic3.h	(revision 87916)
@@ -0,0 +1,113 @@
+/* $Id$ */
+/** @file
+ * VBox Qt GUI - UIWizardNewVMPageBasic3 class declaration.
+ */
+
+/*
+ * Copyright (C) 2006-2020 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+#ifndef FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic3_h
+#define FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic3_h
+#ifndef RT_WITHOUT_PRAGMA_ONCE
+# pragma once
+#endif
+
+/* Qt includes: */
+#include <QVariant>
+
+/* GUI includes: */
+#include "UIWizardPage.h"
+
+/* COM includes: */
+#include "COMEnums.h"
+#include "CMedium.h"
+
+/* Forward declarations: */
+class QRadioButton;
+class QCheckBox;
+class QIRichTextLabel;
+class UIBaseMemoryEditor;
+class UIVirtualCPUEditor;
+
+/** 3rd page of the New Virtual Machine wizard (base part). */
+class UIWizardNewVMPage3 : public UIWizardPageBase
+{
+
+protected:
+
+    /** Constructor. */
+    UIWizardNewVMPage3();
+
+
+    /** @name Property getters/setters
+     * @{ */
+       int baseMemory() const;
+       int VCPUCount() const;
+       bool EFIEnabled() const;
+    /** @} */
+
+    QWidget *createHardwareWidgets();
+    void retranslateWidgets();
+
+
+
+    /** @name Widgets
+     * @{ */
+       UIBaseMemoryEditor *m_pBaseMemoryEditor;
+       UIVirtualCPUEditor *m_pVirtualCPUEditor;
+       QCheckBox          *m_pEFICheckBox;
+    /** @} */
+
+};
+
+/** 3rd page of the New Virtual Machine wizard (basic extension). */
+class UIWizardNewVMPageBasic3 : public UIWizardPage, public UIWizardNewVMPage3
+{
+    Q_OBJECT;
+    Q_PROPERTY(int baseMemory READ baseMemory);
+    Q_PROPERTY(int VCPUCount READ VCPUCount);
+    Q_PROPERTY(bool EFIEnabled READ EFIEnabled);
+
+public:
+
+    /** Constructor. */
+    UIWizardNewVMPageBasic3();
+
+protected:
+
+    /** Wrapper to access 'wizard' from base part. */
+    UIWizard *wizardImp() const { return wizard(); }
+    /** Wrapper to access 'this' from base part. */
+    UIWizardPage* thisImp() { return this; }
+    /** Wrapper to access 'wizard-field' from base part. */
+    QVariant fieldImp(const QString &strFieldName) const { return UIWizardPage::field(strFieldName); }
+
+private slots:
+
+
+private:
+
+
+    /** Prepare stuff. */
+    void prepare();
+    void createConnections();
+    void retranslateUi();
+    void initializePage();
+    void cleanupPage();
+
+    bool isComplete() const;
+
+    /** Widgets. */
+    QIRichTextLabel *m_pLabel;
+};
+
+#endif /* !FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic3_h */
Index: unk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic8.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic8.cpp	(revision 87915)
+++ 	(revision )
@@ -1,153 +1,0 @@
-/* $Id$ */
-/** @file
- * VBox Qt GUI - UIWizardNewVMPageBasic8 class implementation.
- */
-
-/*
- * Copyright (C) 2006-2020 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-/* Qt includes: */
-#include <QCheckBox>
-#include <QFileInfo>
-#include <QGridLayout>
-#include <QMetaType>
-#include <QVBoxLayout>
-
-/* GUI includes: */
-#include "QIRichTextLabel.h"
-#include "UIBaseMemoryEditor.h"
-#include "UIMessageCenter.h"
-#include "UIVirtualCPUEditor.h"
-#include "UIWizardNewVM.h"
-#include "UIWizardNewVMPageBasic8.h"
-#include "UIWizardNewVDPageBasic3.h"
-
-/* COM includes: */
-#include "CGuestOSType.h"
-
-UIWizardNewVMPage8::UIWizardNewVMPage8()
-    : m_pBaseMemoryEditor(0)
-    , m_pVirtualCPUEditor(0)
-    , m_pEFICheckBox(0)
-{
-}
-
-int UIWizardNewVMPage8::baseMemory() const
-{
-    if (!m_pBaseMemoryEditor)
-        return 0;
-    return m_pBaseMemoryEditor->value();
-}
-
-int UIWizardNewVMPage8::VCPUCount() const
-{
-    if (!m_pVirtualCPUEditor)
-        return 1;
-    return m_pVirtualCPUEditor->value();
-}
-
-bool UIWizardNewVMPage8::EFIEnabled() const
-{
-    if (!m_pEFICheckBox)
-        return false;
-    return m_pEFICheckBox->isChecked();
-}
-
-void UIWizardNewVMPage8::retranslateWidgets()
-{
-    if (m_pEFICheckBox)
-    {
-        m_pEFICheckBox->setText(UIWizardNewVM::tr("Enable EFI (special OSes only)"));
-        m_pEFICheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked, the guest will support the "
-                                                       "Extended Firmware Interface (EFI), which is required to boot certain "
-                                                       "guest OSes. Non-EFI aware OSes will not be able to boot if this option is activated.</p>"));
-    }
-}
-
-QWidget *UIWizardNewVMPage8::createHardwareWidgets()
-{
-    QWidget *pHardwareContainer = new QWidget;
-    QGridLayout *pHardwareLayout = new QGridLayout(pHardwareContainer);
-
-    m_pBaseMemoryEditor = new UIBaseMemoryEditor(0, true);
-    m_pVirtualCPUEditor = new UIVirtualCPUEditor(0, true);
-    m_pEFICheckBox      = new QCheckBox;
-    pHardwareLayout->addWidget(m_pBaseMemoryEditor, 0, 0, 1, 4);
-    pHardwareLayout->addWidget(m_pVirtualCPUEditor, 1, 0, 1, 4);
-    pHardwareLayout->addWidget(m_pEFICheckBox, 2, 0, 1, 1);
-
-    return pHardwareContainer;
-}
-
-UIWizardNewVMPageBasic8::UIWizardNewVMPageBasic8()
-    : m_pLabel(0)
-{
-    prepare();
-    qRegisterMetaType<CMedium>();
-    registerField("baseMemory", this, "baseMemory");
-    registerField("VCPUCount", this, "VCPUCount");
-    registerField("EFIEnabled", this, "EFIEnabled");
-}
-
-void UIWizardNewVMPageBasic8::prepare()
-{
-    QVBoxLayout *pMainLayout = new QVBoxLayout(this);
-
-    m_pLabel = new QIRichTextLabel(this);
-    pMainLayout->addWidget(m_pLabel);
-    pMainLayout->addWidget(createHardwareWidgets());
-
-    pMainLayout->addStretch();
-    createConnections();
-}
-
-void UIWizardNewVMPageBasic8::createConnections()
-{
-}
-
-void UIWizardNewVMPageBasic8::retranslateUi()
-{
-    setTitle(UIWizardNewVM::tr("Hardware"));
-
-    if (m_pLabel)
-        m_pLabel->setText(UIWizardNewVM::tr("<p>You can modify virtual machine's hardware by changing amount of RAM and "
-                                            "virtual CPU count.</p>"));
-
-    retranslateWidgets();
-}
-
-void UIWizardNewVMPageBasic8::initializePage()
-{
-    retranslateUi();
-
-    if (!field("type").canConvert<CGuestOSType>())
-        return;
-
-    CGuestOSType type = field("type").value<CGuestOSType>();
-    ULONG recommendedRam = type.GetRecommendedRAM();
-    if (m_pBaseMemoryEditor)
-        m_pBaseMemoryEditor->setValue(recommendedRam);
-
-    KFirmwareType fwType = type.GetRecommendedFirmware();
-    if (m_pEFICheckBox)
-        m_pEFICheckBox->setChecked(fwType != KFirmwareType_BIOS);
-}
-
-void UIWizardNewVMPageBasic8::cleanupPage()
-{
-    UIWizardPage::cleanupPage();
-}
-
-bool UIWizardNewVMPageBasic8::isComplete() const
-{
-    return true;
-}
Index: unk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic8.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageBasic8.h	(revision 87915)
+++ 	(revision )
@@ -1,113 +1,0 @@
-/* $Id$ */
-/** @file
- * VBox Qt GUI - UIWizardNewVMPageBasic8 class declaration.
- */
-
-/*
- * Copyright (C) 2006-2020 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-#ifndef FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic8_h
-#define FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic8_h
-#ifndef RT_WITHOUT_PRAGMA_ONCE
-# pragma once
-#endif
-
-/* Qt includes: */
-#include <QVariant>
-
-/* GUI includes: */
-#include "UIWizardPage.h"
-
-/* COM includes: */
-#include "COMEnums.h"
-#include "CMedium.h"
-
-/* Forward declarations: */
-class QRadioButton;
-class QCheckBox;
-class QIRichTextLabel;
-class UIBaseMemoryEditor;
-class UIVirtualCPUEditor;
-
-/** 3rd page of the New Virtual Machine wizard (base part). */
-class UIWizardNewVMPage8 : public UIWizardPageBase
-{
-
-protected:
-
-    /** Constructor. */
-    UIWizardNewVMPage8();
-
-
-    /** @name Property getters/setters
-     * @{ */
-       int baseMemory() const;
-       int VCPUCount() const;
-       bool EFIEnabled() const;
-    /** @} */
-
-    QWidget *createHardwareWidgets();
-    void retranslateWidgets();
-
-
-
-    /** @name Widgets
-     * @{ */
-       UIBaseMemoryEditor *m_pBaseMemoryEditor;
-       UIVirtualCPUEditor *m_pVirtualCPUEditor;
-       QCheckBox          *m_pEFICheckBox;
-    /** @} */
-
-};
-
-/** 3rd page of the New Virtual Machine wizard (basic extension). */
-class UIWizardNewVMPageBasic8 : public UIWizardPage, public UIWizardNewVMPage8
-{
-    Q_OBJECT;
-    Q_PROPERTY(int baseMemory READ baseMemory);
-    Q_PROPERTY(int VCPUCount READ VCPUCount);
-    Q_PROPERTY(bool EFIEnabled READ EFIEnabled);
-
-public:
-
-    /** Constructor. */
-    UIWizardNewVMPageBasic8();
-
-protected:
-
-    /** Wrapper to access 'wizard' from base part. */
-    UIWizard *wizardImp() const { return wizard(); }
-    /** Wrapper to access 'this' from base part. */
-    UIWizardPage* thisImp() { return this; }
-    /** Wrapper to access 'wizard-field' from base part. */
-    QVariant fieldImp(const QString &strFieldName) const { return UIWizardPage::field(strFieldName); }
-
-private slots:
-
-
-private:
-
-
-    /** Prepare stuff. */
-    void prepare();
-    void createConnections();
-    void retranslateUi();
-    void initializePage();
-    void cleanupPage();
-
-    bool isComplete() const;
-
-    /** Widgets. */
-    QIRichTextLabel *m_pLabel;
-};
-
-#endif /* !FEQT_INCLUDED_SRC_wizards_newvm_UIWizardNewVMPageBasic8_h */
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.cpp	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.cpp	(revision 87916)
@@ -181,5 +181,5 @@
     UIWizardNewVMPage1::retranslateWidgets();
     UIWizardNewVMPage2::retranslateWidgets();
-    UIWizardNewVMPage8::retranslateWidgets();
+    UIWizardNewVMPage3::retranslateWidgets();
     UIWizardNewVMPage4::retranslateWidgets();
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.h	(revision 87915)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMPageExpert.h	(revision 87916)
@@ -28,5 +28,5 @@
 #include "UIWizardNewVMPageBasic1.h"
 #include "UIWizardNewVMPageBasic2.h"
-#include "UIWizardNewVMPageBasic8.h"
+#include "UIWizardNewVMPageBasic3.h"
 #include "UIWizardNewVMPageBasic4.h"
 
@@ -39,5 +39,5 @@
                                 public UIWizardNewVMPage1,
                                 public UIWizardNewVMPage2,
-                                public UIWizardNewVMPage8,
+                                public UIWizardNewVMPage3,
                                 public UIWizardNewVMPage4
 {