Index: trunk/src/VBox/Devices/Audio/AudioMixer.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/AudioMixer.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/AudioMixer.cpp	(revision 88023)
@@ -618,5 +618,5 @@
 
     PDMAUDIOSTREAMCFG CfgHost;
-    rc = DrvAudioHlpStreamCfgInitFromPcmProps(&CfgHost, &pSink->PCMProps);
+    rc = PDMAudioStrmCfgInitWithProps(&CfgHost, &pSink->PCMProps);
     AssertRCReturn(rc, rc);
 
Index: trunk/src/VBox/Devices/Audio/DevHDA.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DevHDA.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DevHDA.cpp	(revision 88023)
@@ -2268,5 +2268,5 @@
     LogFunc(("szSink=%s, szStream=%s, cChannels=%RU8\n", pMixSink->pszName, pCfg->szName, pCfg->Props.cChannels));
 
-    PPDMAUDIOSTREAMCFG pStreamCfg = DrvAudioHlpStreamCfgDup(pCfg);
+    PPDMAUDIOSTREAMCFG pStreamCfg = PDMAudioStrmCfgDup(pCfg);
     if (!pStreamCfg)
         return VERR_NO_MEMORY;
@@ -2370,5 +2370,5 @@
     }
 
-    DrvAudioHlpStreamCfgFree(pStreamCfg);
+    PDMAudioStrmCfgFree(pStreamCfg);
 
     LogFlowFuncLeaveRC(rc);
Index: trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DevIchAc97.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DevIchAc97.cpp	(revision 88023)
@@ -1846,5 +1846,5 @@
     AssertPtrReturn(pMixSink, VERR_INVALID_POINTER);
 
-    PPDMAUDIOSTREAMCFG pStreamCfg = DrvAudioHlpStreamCfgDup(pCfg);
+    PPDMAUDIOSTREAMCFG pStreamCfg = PDMAudioStrmCfgDup(pCfg);
     if (!pStreamCfg)
         return VERR_NO_MEMORY;
@@ -1852,5 +1852,5 @@
     if (!RTStrPrintf(pStreamCfg->szName, sizeof(pStreamCfg->szName), "%s", pCfg->szName))
     {
-        DrvAudioHlpStreamCfgFree(pStreamCfg);
+        PDMAudioStrmCfgFree(pStreamCfg);
         return VERR_BUFFER_OVERFLOW;
     }
@@ -1921,5 +1921,5 @@
         rc = VERR_INVALID_PARAMETER;
 
-    DrvAudioHlpStreamCfgFree(pStreamCfg);
+    PDMAudioStrmCfgFree(pStreamCfg);
 
     LogFlowFuncLeaveRC(rc);
@@ -2193,5 +2193,5 @@
         /* Only (re-)create the stream (and driver chain) if we really have to.
          * Otherwise avoid this and just reuse it, as this costs performance. */
-        if (   !DrvAudioHlpStreamCfgMatchesPcmProps(&Cfg, &pStreamCC->State.Cfg.Props)
+        if (   !PDMAudioStrmCfgMatchesProps(&Cfg, &pStreamCC->State.Cfg.Props)
             || fForce)
         {
@@ -2235,5 +2235,5 @@
                     rc = ichac97R3MixerAddDrvStreams(pThisCC, pMixSink, &Cfg);
                     if (RT_SUCCESS(rc))
-                        rc = DrvAudioHlpStreamCfgCopy(&pStreamCC->State.Cfg, &Cfg);
+                        rc = PDMAudioStrmCfgCopy(&pStreamCC->State.Cfg, &Cfg);
                 }
             }
Index: trunk/src/VBox/Devices/Audio/DevSB16.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DevSB16.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DevSB16.cpp	(revision 88023)
@@ -1768,5 +1768,5 @@
     Assert(DrvAudioHlpStreamCfgIsValid(pCfg));
 
-    PPDMAUDIOSTREAMCFG pCfgHost = DrvAudioHlpStreamCfgDup(pCfg);
+    PPDMAUDIOSTREAMCFG pCfgHost = PDMAudioStrmCfgDup(pCfg);
     if (!pCfgHost)
         return VERR_NO_MEMORY;
@@ -1786,5 +1786,5 @@
     }
 
-    DrvAudioHlpStreamCfgFree(pCfgHost);
+    PDMAudioStrmCfgFree(pCfgHost);
 
     return rc;
@@ -1839,5 +1839,5 @@
         Cfg.Props.cShift    = PDMAUDIOPCMPROPS_MAKE_SHIFT_PARMS(Cfg.Props.cbSample, Cfg.Props.cChannels);
 
-        if (!DrvAudioHlpStreamCfgMatchesPcmProps(&Cfg, &pThis->Out.Cfg.Props))
+        if (!PDMAudioStrmCfgMatchesProps(&Cfg, &pThis->Out.Cfg.Props))
         {
             Cfg.enmDir      = PDMAUDIODIR_OUT;
@@ -1869,5 +1869,5 @@
         return VERR_INVALID_PARAMETER;
 
-    int rc = DrvAudioHlpStreamCfgCopy(&pThis->Out.Cfg, pCfg);
+    int rc = PDMAudioStrmCfgCopy(&pThis->Out.Cfg, pCfg);
     if (RT_SUCCESS(rc))
     {
Index: trunk/src/VBox/Devices/Audio/DrvAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvAudio.cpp	(revision 88023)
@@ -561,5 +561,5 @@
 #ifdef LOG_ENABLED
     LogFunc(("[%s] Requested host format:\n", pStream->szName));
-    DrvAudioHlpStreamCfgPrint(pCfgHost);
+    PDMAudioStrmCfgLog(pCfgHost);
 #endif
 
@@ -581,5 +581,5 @@
 #ifdef LOG_ENABLED
     LogFunc(("[%s] Acquired host format:\n",  pStream->szName));
-    DrvAudioHlpStreamCfgPrint(&CfgHostAcq);
+    PDMAudioStrmCfgLog(&CfgHostAcq);
 #endif
 
@@ -658,5 +658,5 @@
 
     /* Make a copy of the acquired host stream configuration. */
-    rc = DrvAudioHlpStreamCfgCopy(&pStream->Host.Cfg, &CfgHostAcq);
+    rc = PDMAudioStrmCfgCopy(&pStream->Host.Cfg, &CfgHostAcq);
     AssertRC(rc);
 
@@ -683,5 +683,5 @@
 
     /* Make a copy of the guest stream configuration. */
-    rc = DrvAudioHlpStreamCfgCopy(&pStream->Guest.Cfg, pCfgGuest);
+    rc = PDMAudioStrmCfgCopy(&pStream->Guest.Cfg, pCfgGuest);
     AssertRC(rc);
 
@@ -840,5 +840,5 @@
 #ifdef LOG_ENABLED
                 LogFunc(("[%s] Acquired host format:\n",  pStream->szName));
-                DrvAudioHlpStreamCfgPrint(&CfgHostAcq);
+                PDMAudioStrmCfgLog(&CfgHostAcq);
 #endif
             }
@@ -2557,6 +2557,6 @@
     LogFlowFunc(("Host=%s, Guest=%s\n", pCfgHost->szName, pCfgGuest->szName));
 #ifdef DEBUG
-    DrvAudioHlpStreamCfgPrint(pCfgHost);
-    DrvAudioHlpStreamCfgPrint(pCfgGuest);
+    PDMAudioStrmCfgLog(pCfgHost);
+    PDMAudioStrmCfgLog(pCfgGuest);
 #endif
 
@@ -3297,5 +3297,5 @@
     /* Make the acquired host configuration the requested host configuration initially,
      * in case the backend does not report back an acquired configuration. */
-    int rc = DrvAudioHlpStreamCfgCopy(pCfgAcq, pCfgReq);
+    int rc = PDMAudioStrmCfgCopy(pCfgAcq, pCfgReq);
     if (RT_FAILURE(rc))
     {
Index: trunk/src/VBox/Devices/Audio/DrvAudio.h
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvAudio.h	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvAudio.h	(revision 88023)
@@ -189,6 +189,6 @@
 const char *DrvAudioHlpAudDirToStr(PDMAUDIODIR enmDir);
 const char *DrvAudioHlpAudFmtToStr(PDMAUDIOFMT enmFmt);
-bool DrvAudioHlpAudFmtIsSigned(PDMAUDIOFMT enmFmt);
-uint8_t DrvAudioHlpAudFmtToBits(PDMAUDIOFMT enmFmt);
+bool        PDMAudioFormatIsSigned(PDMAUDIOFMT enmFmt);
+uint8_t     PDMAudioFormatGetBits(PDMAUDIOFMT enmFmt);
 /** @}  */
 
@@ -225,12 +225,13 @@
 /** @name Audio configuration helper methods.
  * @{ */
-void    DrvAudioHlpStreamCfgInit(PPDMAUDIOSTREAMCFG pCfg);
-int     DrvAudioHlpStreamCfgInitFromPcmProps(PPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps);
+void    PDMAudioStrmCfgInit(PPDMAUDIOSTREAMCFG pCfg);
+int     PDMAudioStrmCfgInitWithProps(PPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps);
+bool    PDMAudioStrmCfgMatchesProps(PCPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps);
+int     PDMAudioStrmCfgCopy(PPDMAUDIOSTREAMCFG pDstCfg, PCPDMAUDIOSTREAMCFG pSrcCfg);
+PPDMAUDIOSTREAMCFG PDMAudioStrmCfgDup(PCPDMAUDIOSTREAMCFG pCfg);
+void    PDMAudioStrmCfgFree(PPDMAUDIOSTREAMCFG pCfg);
+void    PDMAudioStrmCfgLog(PCPDMAUDIOSTREAMCFG pCfg);
+
 bool    DrvAudioHlpStreamCfgIsValid(PCPDMAUDIOSTREAMCFG pCfg);
-bool    DrvAudioHlpStreamCfgMatchesPcmProps(PCPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps);
-int     DrvAudioHlpStreamCfgCopy(PPDMAUDIOSTREAMCFG pDstCfg, PCPDMAUDIOSTREAMCFG pSrcCfg);
-PPDMAUDIOSTREAMCFG DrvAudioHlpStreamCfgDup(PCPDMAUDIOSTREAMCFG pCfg);
-void    DrvAudioHlpStreamCfgFree(PPDMAUDIOSTREAMCFG pCfg);
-void    DrvAudioHlpStreamCfgPrint(PCPDMAUDIOSTREAMCFG pCfg);
 /** @}  */
 
Index: trunk/src/VBox/Devices/Audio/DrvAudioCommon.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvAudioCommon.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvAudioCommon.cpp	(revision 88023)
@@ -621,5 +621,5 @@
  * @param   enmFmt              Audio format to retrieve value for.
  */
-bool DrvAudioHlpAudFmtIsSigned(PDMAUDIOFMT enmFmt)
+bool PDMAudioFormatIsSigned(PDMAUDIOFMT enmFmt)
 {
     switch (enmFmt)
@@ -650,5 +650,5 @@
  * @param   enmFmt              Audio format to retrieve value for.
  */
-uint8_t DrvAudioHlpAudFmtToBits(PDMAUDIOFMT enmFmt)
+uint8_t PDMAudioFormatGetBits(PDMAUDIOFMT enmFmt)
 {
     switch (enmFmt)
@@ -742,5 +742,5 @@
  * @param   pCfg                Stream configuration to initialize.
  */
-void DrvAudioHlpStreamCfgInit(PPDMAUDIOSTREAMCFG pCfg)
+void PDMAudioStrmCfgInit(PPDMAUDIOSTREAMCFG pCfg)
 {
     AssertPtrReturnVoid(pCfg);
@@ -758,10 +758,10 @@
  * @param   pProps      PCM properties to use.
  */
-int DrvAudioHlpStreamCfgInitFromPcmProps(PPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps)
+int PDMAudioStrmCfgInitWithProps(PPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps)
 {
     AssertPtrReturn(pProps, VERR_INVALID_POINTER);
     AssertPtrReturn(pCfg,   VERR_INVALID_POINTER);
 
-    DrvAudioHlpStreamCfgInit(pCfg);
+    PDMAudioStrmCfgInit(pCfg);
 
     memcpy(&pCfg->Props, pProps, sizeof(PDMAUDIOPCMPROPS));
@@ -798,5 +798,5 @@
  * @param   pProps  PCM properties to match with.
  */
-bool DrvAudioHlpStreamCfgMatchesPcmProps(PCPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps)
+bool PDMAudioStrmCfgMatchesProps(PCPDMAUDIOSTREAMCFG pCfg, PCPDMAUDIOPCMPROPS pProps)
 {
     AssertPtrReturn(pCfg, false);
@@ -809,5 +809,5 @@
  * @param   pCfg                Audio stream configuration to free.
  */
-void DrvAudioHlpStreamCfgFree(PPDMAUDIOSTREAMCFG pCfg)
+void PDMAudioStrmCfgFree(PPDMAUDIOSTREAMCFG pCfg)
 {
     if (pCfg)
@@ -825,5 +825,5 @@
  * @param   pSrcCfg             Source stream configuration to copy to destination.
  */
-int DrvAudioHlpStreamCfgCopy(PPDMAUDIOSTREAMCFG pDstCfg, PCPDMAUDIOSTREAMCFG pSrcCfg)
+int PDMAudioStrmCfgCopy(PPDMAUDIOSTREAMCFG pDstCfg, PCPDMAUDIOSTREAMCFG pSrcCfg)
 {
     AssertPtrReturn(pDstCfg, VERR_INVALID_POINTER);
@@ -845,10 +845,10 @@
 /**
  * Duplicates an audio stream configuration.
- * Must be free'd with DrvAudioHlpStreamCfgFree().
+ * Must be free'd with PDMAudioStrmCfgFree().
  *
  * @return  Duplicates audio stream configuration on success, or NULL on failure.
  * @param   pCfg                    Audio stream configuration to duplicate.
  */
-PPDMAUDIOSTREAMCFG DrvAudioHlpStreamCfgDup(PCPDMAUDIOSTREAMCFG pCfg)
+PPDMAUDIOSTREAMCFG PDMAudioStrmCfgDup(PCPDMAUDIOSTREAMCFG pCfg)
 {
     AssertPtrReturn(pCfg, NULL);
@@ -866,8 +866,8 @@
         return NULL;
 
-    int rc2 = DrvAudioHlpStreamCfgCopy(pDst, pCfg);
+    int rc2 = PDMAudioStrmCfgCopy(pDst, pCfg);
     if (RT_FAILURE(rc2))
     {
-        DrvAudioHlpStreamCfgFree(pDst);
+        PDMAudioStrmCfgFree(pDst);
         pDst = NULL;
     }
@@ -882,12 +882,9 @@
  * @param   pCfg                Stream configuration to log.
  */
-void DrvAudioHlpStreamCfgPrint(PCPDMAUDIOSTREAMCFG pCfg)
-{
-    if (!pCfg)
-        return;
-
-    LogFunc(("szName=%s, enmDir=%RU32 (uHz=%RU32, cBits=%RU8%s, cChannels=%RU8)\n",
-             pCfg->szName, pCfg->enmDir,
-             pCfg->Props.uHz, pCfg->Props.cbSample * 8, pCfg->Props.fSigned ? "S" : "U", pCfg->Props.cChannels));
+void PDMAudioStrmCfgLog(PCPDMAUDIOSTREAMCFG pCfg)
+{
+    if (pCfg)
+        LogFunc(("szName=%s enmDir=%RU32 uHz=%RU32 cBits=%RU8%s cChannels=%RU8\n", pCfg->szName, pCfg->enmDir,
+                 pCfg->Props.uHz, pCfg->Props.cbSample * 8, pCfg->Props.fSigned ? "S" : "U", pCfg->Props.cChannels));
 }
 
@@ -999,5 +996,5 @@
 uint32_t PDMAudioPropsGetBitrate(PCPDMAUDIOPCMPROPS pProps)
 {
-    return DrvAudioHlpCalcBitrate(pProps->cbSample * 8, pProps->uHz, pProps->cChannels);
+    return pProps->cbSample * pProps->cChannels * pProps->uHz * 8;
 }
 
Index: trunk/src/VBox/Devices/Audio/DrvHostALSAAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostALSAAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostALSAAudio.cpp	(revision 88023)
@@ -1365,5 +1365,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamALSA->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamALSA->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamALSA->pCfg)
             rc = VERR_NO_MEMORY;
@@ -1395,5 +1395,5 @@
     if (RT_SUCCESS(rc))
     {
-        DrvAudioHlpStreamCfgFree(pStreamALSA->pCfg);
+        PDMAudioStrmCfgFree(pStreamALSA->pCfg);
         pStreamALSA->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp	(revision 88023)
@@ -1593,5 +1593,5 @@
     /* Create the recording device's out format based on our required audio settings. */
     Assert(pCAStream->pCfg == NULL);
-    pCAStream->pCfg = DrvAudioHlpStreamCfgDup(pCfgReq);
+    pCAStream->pCfg = PDMAudioStrmCfgDup(pCfgReq);
     if (!pCAStream->pCfg)
         rc = VERR_NO_MEMORY;
@@ -1656,5 +1656,5 @@
     if (pCAStream->pCfg)
     {
-        DrvAudioHlpStreamCfgFree(pCAStream->pCfg);
+        PDMAudioStrmCfgFree(pCAStream->pCfg);
         pCAStream->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp	(revision 88023)
@@ -1915,5 +1915,5 @@
     if (SUCCEEDED(hr))
     {
-        rc = DrvAudioHlpStreamCfgCopy(&pStreamDS->Cfg, pCfgAcq);
+        rc = PDMAudioStrmCfgCopy(&pStreamDS->Cfg, pCfgAcq);
         if (RT_SUCCESS(rc))
             dsoundStreamReset(pThis, pStreamDS);
@@ -2094,5 +2094,5 @@
     if (SUCCEEDED(hr))
     {
-        rc = DrvAudioHlpStreamCfgCopy(&pStreamDS->Cfg, pCfgAcq);
+        rc = PDMAudioStrmCfgCopy(&pStreamDS->Cfg, pCfgAcq);
         if (RT_SUCCESS(rc))
             dsoundStreamReset(pThis, pStreamDS);
@@ -2129,5 +2129,5 @@
                     if (SUCCEEDED(hr))
                     {
-                        rc = DrvAudioHlpStreamCfgCopy(&pStreamDS->Cfg, &CfgAcq);
+                        rc = PDMAudioStrmCfgCopy(&pStreamDS->Cfg, &CfgAcq);
                         if (RT_FAILURE(rc))
                             break;
@@ -2387,5 +2387,5 @@
     if (RT_SUCCESS(rc))
     {
-        rc = DrvAudioHlpStreamCfgCopy(&pStreamDS->Cfg, pCfgAcq);
+        rc = PDMAudioStrmCfgCopy(&pStreamDS->Cfg, pCfgAcq);
         if (RT_SUCCESS(rc))
             rc = RTCritSectInit(&pStreamDS->CritSect);
Index: trunk/src/VBox/Devices/Audio/DrvHostDebugAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostDebugAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostDebugAudio.cpp	(revision 88023)
@@ -203,5 +203,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamDbg->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamDbg->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamDbg->pCfg)
             rc = VERR_NO_MEMORY;
@@ -316,5 +316,5 @@
         DrvAudioHlpFileDestroy(pStreamDbg->pFile);
 
-        DrvAudioHlpStreamCfgFree(pStreamDbg->pCfg);
+        PDMAudioStrmCfgFree(pStreamDbg->pCfg);
         pStreamDbg->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostNullAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostNullAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostNullAudio.cpp	(revision 88023)
@@ -214,5 +214,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamNull->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamNull->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamNull->pCfg)
             rc = VERR_NO_MEMORY;
@@ -258,5 +258,5 @@
     if (RT_SUCCESS(rc))
     {
-        DrvAudioHlpStreamCfgFree(pStreamNull->pCfg);
+        PDMAudioStrmCfgFree(pStreamNull->pCfg);
         pStreamNull->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostOSSAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostOSSAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostOSSAudio.cpp	(revision 88023)
@@ -971,5 +971,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamOSS->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamOSS->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamOSS->pCfg)
             rc = VERR_NO_MEMORY;
@@ -1001,5 +1001,5 @@
     if (RT_SUCCESS(rc))
     {
-        DrvAudioHlpStreamCfgFree(pStreamOSS->pCfg);
+        PDMAudioStrmCfgFree(pStreamOSS->pCfg);
         pStreamOSS->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp	(revision 88023)
@@ -1520,5 +1520,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamPA->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamPA->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamPA->pCfg)
             rc = VERR_NO_MEMORY;
@@ -1553,5 +1553,5 @@
     if (RT_SUCCESS(rc))
     {
-        DrvAudioHlpStreamCfgFree(pStreamPA->pCfg);
+        PDMAudioStrmCfgFree(pStreamPA->pCfg);
         pStreamPA->pCfg = NULL;
     }
Index: trunk/src/VBox/Devices/Audio/DrvHostValidationKit.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostValidationKit.cpp	(revision 88022)
+++ trunk/src/VBox/Devices/Audio/DrvHostValidationKit.cpp	(revision 88023)
@@ -205,5 +205,5 @@
     if (RT_SUCCESS(rc))
     {
-        pStreamDbg->pCfg = DrvAudioHlpStreamCfgDup(pCfgAcq);
+        pStreamDbg->pCfg = PDMAudioStrmCfgDup(pCfgAcq);
         if (!pStreamDbg->pCfg)
             rc = VERR_NO_MEMORY;
@@ -326,5 +326,5 @@
     if (RT_SUCCESS(rc))
     {
-        DrvAudioHlpStreamCfgFree(pStreamDbg->pCfg);
+        PDMAudioStrmCfgFree(pStreamDbg->pCfg);
         pStreamDbg->pCfg = NULL;
     }